Een medewerker van beveiligingsbedrijf Sourcefire heeft in het weekend een patch gemaakt voor het beveiligingslek in Adobe producten. Hierbij kunnen Javascript een bufferoverloop veroorzaken, waardoor hackers toegang tot de computer krijgen. Adobe kondigde vrijdag aan dat er uiterlijk 11 maart een patch komt.

Thuisgemaakt

Op het Sourcefire-blog heeft de medewerker de ‘thuisgebrouwde patch’ geplaatst. Deze vervangt een dll-bestand. Na het installeren hiervan komt er in het geval dat er een kwaadaardig bestand geopend wordt een melding tevoorschijn. Hierna kan de gebruiker gewoon verder werken.

De patch werkt alleen onder Adobe Reader 9 en Adobe Acrobat, net als de door het softwarebedrijf aangekondigde oplossing voor het lek. Een andere mogelijkheid is het handmatig uitschakelen van Javascript in de Adobe software.